| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
uiRGBArray Class Reference
uiBase

`#include <uirgbarray.h>`

Inheritance diagram for uiRGBArray:
[legend]

## Public Member Functions
| uiRGBArray (bool withalpha)
| uiRGBArray (const char *filename)
| uiRGBArray (const OD::RGBImage &)
| ~uiRGBArray ()
void | clear (const OD::Color &) override
void | enableAlpha (bool yn)
const unsigned char * | getData () const override
unsigned char * | getData () override
int | getHeight () const
int | getSize (bool xdir) const override
int | getWidth () const
char | nrComponents () const override
QImage & | qImage ()
const QImage & | qImage () const
bool | reSize (int, int)
| inter/extrapolates
bool | save (const char *fnm, const char *fmt=0, int quality=-1) const
mOD_DisableCopy(uiRGBArray) OD bool | set (int, int, const OD::Color &) override
bool | setSize (int, int) override
| destroys whatever is there
Public Member Functions inherited from OD::RGBImage
virtual | ~RGBImage ()
virtual bool | blendWith (const RGBImage &sourceimage, bool blendtransparency=false, unsigned char blendtransparencyval=0, bool blendequaltransparency=false, bool with_opacity=false)
virtual int | bufferSize () const
virtual void | fill (unsigned char *) const
virtual Color | get (int, int) const =0
virtual bool | hasAlpha () const
virtual bool | put (const unsigned char *, bool xdir_slowest=true, bool with_opacity=false)
virtual bool | putFromBitmap (const unsigned char *bitmap, const unsigned char *mask=0)

## Protected Attributes
QImage * | qimg_
bool | withalpha_

## Additional Inherited Members
Protected Member Functions inherited from OD::RGBImage
| RGBImage ()
| RGBImage (const RGBImage &)=delete
RGBImage & | operator= (const RGBImage &)=delete

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiRGBArray() [1/3]

uiRGBArray::uiRGBArray | ( | bool | withalpha | ) |

## ◆ uiRGBArray() [2/3]

uiRGBArray::uiRGBArray | ( | const OD::RGBImage & |  | ) |

## ◆ uiRGBArray() [3/3]

uiRGBArray::uiRGBArray | ( | const char * | filename | ) |

## ◆ ~uiRGBArray()

uiRGBArray::~uiRGBArray | ( |  | ) |

## Member Function Documentation

## ◆ clear()

void uiRGBArray::clear | ( | const OD::Color & |  | ) |
| override virtual

Implements OD::RGBImage.

## ◆ enableAlpha()

void uiRGBArray::enableAlpha | ( | bool | yn | ) |
| inline

## ◆ getData() [1/2]

const unsigned char * uiRGBArray::getData | ( |  | ) | const
| override virtual

Reimplemented from OD::RGBImage.

## ◆ getData() [2/2]

unsigned char * uiRGBArray::getData | ( |  | ) |
| override virtual

Reimplemented from OD::RGBImage.

## ◆ getHeight()

int uiRGBArray::getHeight | ( |  | ) | const
| inline

## ◆ getSize()

int uiRGBArray::getSize | ( | bool | xdir | ) | const
| override virtual

Implements OD::RGBImage.

## ◆ getWidth()

int uiRGBArray::getWidth | ( |  | ) | const
| inline

## ◆ nrComponents()

char uiRGBArray::nrComponents | ( |  | ) | const
| inline override virtual

Return values

  1 | grayscale
  2 | grayscale+alpha
  3 | rgb
  4 | rgb+alpha

Implements OD::RGBImage.

## ◆ qImage() [1/2]

QImage & uiRGBArray::qImage | ( |  | ) |
| inline

## ◆ qImage() [2/2]

const QImage & uiRGBArray::qImage | ( |  | ) | const
| inline

## ◆ reSize()

bool uiRGBArray::reSize | ( | int | ,
|  | int | )

inter/extrapolates

## ◆ save()

bool uiRGBArray::save | ( | const char * | fnm,
|  | const char * | fmt = 0,
|  | int | quality = -1 ) const

## ◆ set()

mOD_DisableCopy(uiRGBArray) OD bool uiRGBArray::set | ( | int | ,
|  | int | ,
|  | const OD::Color & | )
| override virtual

Implements OD::RGBImage.

## ◆ setSize()

bool uiRGBArray::setSize | ( | int | ,
|  | int | )
| override virtual

destroys whatever is there

Implements OD::RGBImage.

## Member Data Documentation

## ◆ qimg_

QImage* uiRGBArray::qimg_
| protected

## ◆ withalpha_

bool uiRGBArray::withalpha_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025